### Function

# GLib unix_signal_add_full

since: 2.30

#### Declaration

    guint
    g_unix_signal_add_full (
      gint priority,
      gint signum,
      GSourceFunc handler,
      gpointer user_data,
      GDestroyNotify notify
    )

#### Description

A convenience function for g_unix_signal_source_new(), which attaches to the default `GMainContext`. You can remove the watch using g_source_remove().

Available since: 2.30

This function is renamed to `g_unix_signal_add()` in language bindings.

#### Parameters

`priority`

  Type: `gint`

  The priority of the signal source. Typically this will be in the range between `G_PRIORITY_DEFAULT` and `G_PRIORITY_HIGH`.

`signum`

  Type: `gint`

  Signal number.

`handler`

  Type: `GSourceFunc`

  Callback.

`user_data`

  Type: `gpointer`

  Data for `handler`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`notify`

  Type: `GDestroyNotify`

  `GDestroyNotify` for `handler`.

#### Return value

Type: `guint`

An ID (greater than 0) for the event source.